--- title: "Delete Attack Set Profile" slug: "delete-attack-set-profile-2" tags: ["IPS 11.1.x", "Reference"] updated: 2026-11-19T12:57:33Z published: 2026-11-19T12:57:33Z canonical: "docs.trellix.com/delete-attack-set-profile-2" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Delete Attack Set Profile This URL deletes the created attack set profile. ### Resource URL DELETE /domain// attacksetprofile/deleteruleset/ ### Request Parameters URL Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `domainId` | Domain id | Number | Yes | | `policyId` | Policy id | Number | Yes | Payload Parameters None ### Response Parameters Following fields are returned if the operation was successful, otherwise error details are returned. | Field Name | Description | Data Type | | --- | --- | --- | | status | Set to 1 if the operation was successful | Number | ### Example **Request** DELETE [https:///sdkapi/domain//attacksetprofile/deletruleset/](https://<NSM_IP>/sdkapi/domain/<domainId>/attacksetprofile/deletruleset/<policyId>) **Payload** None **Response** ``` { status:1           } ``` ### Error Information Following error codes are returned by this URL: | No | SDK API errorId | SDK API errorMessage | | --- | --- | --- | | 1 | 1105 | Invalid domain | | 2 | 7001 | Invalid policy id | | 3 | 7001 | Rule set is used by other policies |